//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using Tecan.Sila2;
using Tecan.Sila2.WorktableIntegration;


namespace Tecan.Sila2.WorktableIntegration
{
    
    
    /// <summary>
    /// The data transfer object for Offset
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class OffsetDto : Tecan.Sila2.ISilaTransferObject<Offset>
    {
        
        private InnerStruct _inner;
        
        /// <summary>
        /// Initializes a new instance (to be used by the serializer)
        /// </summary>
        public OffsetDto()
        {
            _inner = new InnerStruct();
        }
        
        /// <summary>
        /// Initializes a new data transfer object from the business object
        /// </summary>
        /// <param name="inner">The business object that should be transferred</param>
        /// <param name="store">A component to handle binary data</param>
        public OffsetDto(Offset inner, Tecan.Sila2.IBinaryStore store)
        {
            _inner = new InnerStruct(inner, store);
        }
        
        /// <summary>
        /// The X offset
        /// </summary>
        public Tecan.Sila2.RealDto X
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.X;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.X = value;
            }
        }
        
        /// <summary>
        /// The Y offset
        /// </summary>
        public Tecan.Sila2.RealDto Y
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Y;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Y = value;
            }
        }
        
        /// <summary>
        /// The Z offset
        /// </summary>
        public Tecan.Sila2.RealDto Z
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Z;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Z = value;
            }
        }
        
        /// <summary>
        /// The actual contents of the data transfer object.
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public InnerStruct Inner
        {
            get
            {
                return _inner;
            }
            set
            {
                _inner = value;
            }
        }
        
        /// <summary>
        /// Extracts the transferred value
        /// </summary>
        /// <param name="store">The binary store in which to store binary data</param>
        /// <returns>the inner value</returns>
        public Offset Extract(Tecan.Sila2.IBinaryStore store)
        {
            return new Offset(X.Extract(store), Y.Extract(store), Z.Extract(store));
        }
        
        /// <summary>
        /// Creates the data transfer object from the given object to transport
        /// </summary>
        /// <param name="inner">The object to transfer</param>
        /// <param name="store">An object to store binary data</param>
        public static OffsetDto Create(Offset inner, Tecan.Sila2.IBinaryStore store)
        {
            return new OffsetDto(inner, store);
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ((("" + Argument.Require(X, "x")) 
                        + Argument.Require(Y, "y")) 
                        + Argument.Require(Z, "z"));
        }
        
        /// <summary>
        /// Represents the inner structure for actual content
        /// </summary>
        [ProtoBuf.ProtoContractAttribute()]
        public class InnerStruct
        {
            
            private Tecan.Sila2.RealDto _x;
            
            private Tecan.Sila2.RealDto _y;
            
            private Tecan.Sila2.RealDto _z;
            
            /// <summary>
            /// Initializes a new instance (to be used by the serializer)
            /// </summary>
            public InnerStruct()
            {
            }
            
            /// <summary>
            /// Initializes a new data transfer object from the business object
            /// </summary>
            /// <param name="inner">The business object that should be transferred</param>
            /// <param name="store">A component to handle binary data</param>
            public InnerStruct(Offset inner, Tecan.Sila2.IBinaryStore store)
            {
                X = new Tecan.Sila2.RealDto(inner.X, store);
                Y = new Tecan.Sila2.RealDto(inner.Y, store);
                Z = new Tecan.Sila2.RealDto(inner.Z, store);
            }
            
            /// <summary>
            /// The X offset
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(1)]
            public Tecan.Sila2.RealDto X
            {
                get
                {
                    return _x;
                }
                set
                {
                    _x = value;
                }
            }
            
            /// <summary>
            /// The Y offset
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(2)]
            public Tecan.Sila2.RealDto Y
            {
                get
                {
                    return _y;
                }
                set
                {
                    _y = value;
                }
            }
            
            /// <summary>
            /// The Z offset
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(3)]
            public Tecan.Sila2.RealDto Z
            {
                get
                {
                    return _z;
                }
                set
                {
                    _z = value;
                }
            }
        }
    }
    
    /// <summary>
    /// The data transfer object for Rectangle
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class RectangleDto : Tecan.Sila2.ISilaTransferObject<Rectangle>
    {
        
        private InnerStruct _inner;
        
        /// <summary>
        /// Initializes a new instance (to be used by the serializer)
        /// </summary>
        public RectangleDto()
        {
            _inner = new InnerStruct();
        }
        
        /// <summary>
        /// Initializes a new data transfer object from the business object
        /// </summary>
        /// <param name="inner">The business object that should be transferred</param>
        /// <param name="store">A component to handle binary data</param>
        public RectangleDto(Rectangle inner, Tecan.Sila2.IBinaryStore store)
        {
            _inner = new InnerStruct(inner, store);
        }
        
        /// <summary>
        /// The width of the rectangle
        /// </summary>
        public Tecan.Sila2.RealDto Width
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Width;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Width = value;
            }
        }
        
        /// <summary>
        /// The depth of the rectangle
        /// </summary>
        public Tecan.Sila2.RealDto Depth
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Depth;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Depth = value;
            }
        }
        
        /// <summary>
        /// The actual contents of the data transfer object.
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public InnerStruct Inner
        {
            get
            {
                return _inner;
            }
            set
            {
                _inner = value;
            }
        }
        
        /// <summary>
        /// Extracts the transferred value
        /// </summary>
        /// <param name="store">The binary store in which to store binary data</param>
        /// <returns>the inner value</returns>
        public Rectangle Extract(Tecan.Sila2.IBinaryStore store)
        {
            return new Rectangle(Width.Extract(store), Depth.Extract(store));
        }
        
        /// <summary>
        /// Creates the data transfer object from the given object to transport
        /// </summary>
        /// <param name="inner">The object to transfer</param>
        /// <param name="store">An object to store binary data</param>
        public static RectangleDto Create(Rectangle inner, Tecan.Sila2.IBinaryStore store)
        {
            return new RectangleDto(inner, store);
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return (("" + Argument.Require(Width, "width")) 
                        + Argument.Require(Depth, "depth"));
        }
        
        /// <summary>
        /// Represents the inner structure for actual content
        /// </summary>
        [ProtoBuf.ProtoContractAttribute()]
        public class InnerStruct
        {
            
            private Tecan.Sila2.RealDto _width;
            
            private Tecan.Sila2.RealDto _depth;
            
            /// <summary>
            /// Initializes a new instance (to be used by the serializer)
            /// </summary>
            public InnerStruct()
            {
            }
            
            /// <summary>
            /// Initializes a new data transfer object from the business object
            /// </summary>
            /// <param name="inner">The business object that should be transferred</param>
            /// <param name="store">A component to handle binary data</param>
            public InnerStruct(Rectangle inner, Tecan.Sila2.IBinaryStore store)
            {
                Width = new Tecan.Sila2.RealDto(inner.Width, store);
                Depth = new Tecan.Sila2.RealDto(inner.Depth, store);
            }
            
            /// <summary>
            /// The width of the rectangle
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(1)]
            public Tecan.Sila2.RealDto Width
            {
                get
                {
                    return _width;
                }
                set
                {
                    _width = value;
                }
            }
            
            /// <summary>
            /// The depth of the rectangle
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(2)]
            public Tecan.Sila2.RealDto Depth
            {
                get
                {
                    return _depth;
                }
                set
                {
                    _depth = value;
                }
            }
        }
    }
    
    /// <summary>
    /// The data transfer object for Site
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class SiteDto : Tecan.Sila2.ISilaTransferObject<Site>
    {
        
        private InnerStruct _inner;
        
        /// <summary>
        /// Initializes a new instance (to be used by the serializer)
        /// </summary>
        public SiteDto()
        {
            _inner = new InnerStruct();
        }
        
        /// <summary>
        /// Initializes a new data transfer object from the business object
        /// </summary>
        /// <param name="inner">The business object that should be transferred</param>
        /// <param name="store">A component to handle binary data</param>
        public SiteDto(Site inner, Tecan.Sila2.IBinaryStore store)
        {
            _inner = new InnerStruct(inner, store);
        }
        
        /// <summary>
        /// The name of the site
        /// </summary>
        public Tecan.Sila2.StringDto Name
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Name;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Name = value;
            }
        }
        
        /// <summary>
        /// The site template
        /// </summary>
        public Tecan.Sila2.StringDto Template
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Template;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Template = value;
            }
        }
        
        /// <summary>
        /// The offset from the device
        /// </summary>
        public OffsetDto Offset
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Offset;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Offset = value;
            }
        }
        
        /// <summary>
        /// The rotation
        /// </summary>
        public Tecan.Sila2.RealDto Rotation
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Rotation;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Rotation = value;
            }
        }
        
        /// <summary>
        /// The actual contents of the data transfer object.
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public InnerStruct Inner
        {
            get
            {
                return _inner;
            }
            set
            {
                _inner = value;
            }
        }
        
        /// <summary>
        /// Extracts the transferred value
        /// </summary>
        /// <param name="store">The binary store in which to store binary data</param>
        /// <returns>the inner value</returns>
        public Site Extract(Tecan.Sila2.IBinaryStore store)
        {
            return new Site(Name.Extract(store), Template.Extract(store), Offset.Extract(store), Rotation.Extract(store));
        }
        
        /// <summary>
        /// Creates the data transfer object from the given object to transport
        /// </summary>
        /// <param name="inner">The object to transfer</param>
        /// <param name="store">An object to store binary data</param>
        public static SiteDto Create(Site inner, Tecan.Sila2.IBinaryStore store)
        {
            return new SiteDto(inner, store);
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return (((("" + Argument.Require(Name, "name")) 
                        + Argument.Require(Template, "template")) 
                        + Argument.Require(Offset, "offset")) 
                        + Argument.Require(Rotation, "rotation"));
        }
        
        /// <summary>
        /// Represents the inner structure for actual content
        /// </summary>
        [ProtoBuf.ProtoContractAttribute()]
        public class InnerStruct
        {
            
            private Tecan.Sila2.StringDto _name;
            
            private Tecan.Sila2.StringDto _template;
            
            private OffsetDto _offset;
            
            private Tecan.Sila2.RealDto _rotation;
            
            /// <summary>
            /// Initializes a new instance (to be used by the serializer)
            /// </summary>
            public InnerStruct()
            {
            }
            
            /// <summary>
            /// Initializes a new data transfer object from the business object
            /// </summary>
            /// <param name="inner">The business object that should be transferred</param>
            /// <param name="store">A component to handle binary data</param>
            public InnerStruct(Site inner, Tecan.Sila2.IBinaryStore store)
            {
                Name = new Tecan.Sila2.StringDto(inner.Name, store);
                Template = new Tecan.Sila2.StringDto(inner.Template, store);
                Offset = new OffsetDto(inner.Offset, store);
                Rotation = new Tecan.Sila2.RealDto(inner.Rotation, store);
            }
            
            /// <summary>
            /// The name of the site
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(1)]
            public Tecan.Sila2.StringDto Name
            {
                get
                {
                    return _name;
                }
                set
                {
                    _name = value;
                }
            }
            
            /// <summary>
            /// The site template
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(2)]
            public Tecan.Sila2.StringDto Template
            {
                get
                {
                    return _template;
                }
                set
                {
                    _template = value;
                }
            }
            
            /// <summary>
            /// The offset from the device
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(3)]
            public OffsetDto Offset
            {
                get
                {
                    return _offset;
                }
                set
                {
                    _offset = value;
                }
            }
            
            /// <summary>
            /// The rotation
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(4)]
            public Tecan.Sila2.RealDto Rotation
            {
                get
                {
                    return _rotation;
                }
                set
                {
                    _rotation = value;
                }
            }
        }
    }
    
    /// <summary>
    /// The data transfer object for Site Template
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class SiteTemplateDto : Tecan.Sila2.ISilaTransferObject<SiteTemplate>
    {
        
        private InnerStruct _inner;
        
        /// <summary>
        /// Initializes a new instance (to be used by the serializer)
        /// </summary>
        public SiteTemplateDto()
        {
            _inner = new InnerStruct();
        }
        
        /// <summary>
        /// Initializes a new data transfer object from the business object
        /// </summary>
        /// <param name="inner">The business object that should be transferred</param>
        /// <param name="store">A component to handle binary data</param>
        public SiteTemplateDto(SiteTemplate inner, Tecan.Sila2.IBinaryStore store)
        {
            _inner = new InnerStruct(inner, store);
        }
        
        /// <summary>
        /// Gets the name of the site template
        /// </summary>
        public Tecan.Sila2.StringDto Name
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Name;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Name = value;
            }
        }
        
        /// <summary>
        /// Gets the size of the site
        /// </summary>
        public RectangleDto SiteRectangle
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.SiteRectangle;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.SiteRectangle = value;
            }
        }
        
        /// <summary>
        /// Gets a collection of custom tags
        /// </summary>
        public System.Collections.Generic.List<Tecan.Sila2.StringDto> Tags
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Tags;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Tags = value;
            }
        }
        
        /// <summary>
        /// The actual contents of the data transfer object.
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public InnerStruct Inner
        {
            get
            {
                return _inner;
            }
            set
            {
                _inner = value;
            }
        }
        
        /// <summary>
        /// Extracts the transferred value
        /// </summary>
        /// <param name="store">The binary store in which to store binary data</param>
        /// <returns>the inner value</returns>
        public SiteTemplate Extract(Tecan.Sila2.IBinaryStore store)
        {
            return new SiteTemplate(Name.Extract(store), SiteRectangle.Extract(store), Tags.Extract(store));
        }
        
        /// <summary>
        /// Creates the data transfer object from the given object to transport
        /// </summary>
        /// <param name="inner">The object to transfer</param>
        /// <param name="store">An object to store binary data</param>
        public static SiteTemplateDto Create(SiteTemplate inner, Tecan.Sila2.IBinaryStore store)
        {
            return new SiteTemplateDto(inner, store);
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return ((("" + Argument.Require(Name, "name")) 
                        + Argument.Require(SiteRectangle, "siteRectangle")) 
                        + Argument.Require(Tags, "tags"));
        }
        
        /// <summary>
        /// Represents the inner structure for actual content
        /// </summary>
        [ProtoBuf.ProtoContractAttribute()]
        public class InnerStruct
        {
            
            private Tecan.Sila2.StringDto _name;
            
            private RectangleDto _siteRectangle;
            
            private System.Collections.Generic.List<Tecan.Sila2.StringDto> _tags;
            
            /// <summary>
            /// Initializes a new instance (to be used by the serializer)
            /// </summary>
            public InnerStruct()
            {
            }
            
            /// <summary>
            /// Initializes a new data transfer object from the business object
            /// </summary>
            /// <param name="inner">The business object that should be transferred</param>
            /// <param name="store">A component to handle binary data</param>
            public InnerStruct(SiteTemplate inner, Tecan.Sila2.IBinaryStore store)
            {
                Name = new Tecan.Sila2.StringDto(inner.Name, store);
                SiteRectangle = new RectangleDto(inner.SiteRectangle, store);
                Tags = Tecan.Sila2.DtoExtensions.Encapsulate(inner.Tags, Tecan.Sila2.StringDto.Create, store);
            }
            
            /// <summary>
            /// Gets the name of the site template
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(1)]
            public Tecan.Sila2.StringDto Name
            {
                get
                {
                    return _name;
                }
                set
                {
                    _name = value;
                }
            }
            
            /// <summary>
            /// Gets the size of the site
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(2)]
            public RectangleDto SiteRectangle
            {
                get
                {
                    return _siteRectangle;
                }
                set
                {
                    _siteRectangle = value;
                }
            }
            
            /// <summary>
            /// Gets a collection of custom tags
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(3)]
            public System.Collections.Generic.List<Tecan.Sila2.StringDto> Tags
            {
                get
                {
                    return _tags;
                }
                set
                {
                    _tags = value;
                }
            }
        }
    }
    
    /// <summary>
    /// The data transfer object for Bounding Box
    /// </summary>
    [ProtoBuf.ProtoContractAttribute()]
    public class BoundingBoxDto : Tecan.Sila2.ISilaTransferObject<BoundingBox>
    {
        
        private InnerStruct _inner;
        
        /// <summary>
        /// Initializes a new instance (to be used by the serializer)
        /// </summary>
        public BoundingBoxDto()
        {
            _inner = new InnerStruct();
        }
        
        /// <summary>
        /// Initializes a new data transfer object from the business object
        /// </summary>
        /// <param name="inner">The business object that should be transferred</param>
        /// <param name="store">A component to handle binary data</param>
        public BoundingBoxDto(BoundingBox inner, Tecan.Sila2.IBinaryStore store)
        {
            _inner = new InnerStruct(inner, store);
        }
        
        /// <summary>
        /// The ground rectangle
        /// </summary>
        public RectangleDto Rectangle
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Rectangle;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Rectangle = value;
            }
        }
        
        /// <summary>
        /// The height of the bounding box
        /// </summary>
        public Tecan.Sila2.RealDto Height
        {
            get
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                return Inner.Height;
            }
            set
            {
                if ((_inner == null))
                {
                    _inner = new InnerStruct();
                }
                Inner.Height = value;
            }
        }
        
        /// <summary>
        /// The actual contents of the data transfer object.
        /// </summary>
        [ProtoBuf.ProtoMemberAttribute(1)]
        public InnerStruct Inner
        {
            get
            {
                return _inner;
            }
            set
            {
                _inner = value;
            }
        }
        
        /// <summary>
        /// Extracts the transferred value
        /// </summary>
        /// <param name="store">The binary store in which to store binary data</param>
        /// <returns>the inner value</returns>
        public BoundingBox Extract(Tecan.Sila2.IBinaryStore store)
        {
            return new BoundingBox(Rectangle.Extract(store), Height.Extract(store));
        }
        
        /// <summary>
        /// Creates the data transfer object from the given object to transport
        /// </summary>
        /// <param name="inner">The object to transfer</param>
        /// <param name="store">An object to store binary data</param>
        public static BoundingBoxDto Create(BoundingBox inner, Tecan.Sila2.IBinaryStore store)
        {
            return new BoundingBoxDto(inner, store);
        }
        
        /// <summary>
        /// Validates the contents of this transfer object
        /// </summary>
        /// <returns>A validation error or null, if no validation error occurred.</returns>
        public string GetValidationErrors()
        {
            return (("" + Argument.Require(Rectangle, "rectangle")) 
                        + Argument.Require(Height, "height"));
        }
        
        /// <summary>
        /// Represents the inner structure for actual content
        /// </summary>
        [ProtoBuf.ProtoContractAttribute()]
        public class InnerStruct
        {
            
            private RectangleDto _rectangle;
            
            private Tecan.Sila2.RealDto _height;
            
            /// <summary>
            /// Initializes a new instance (to be used by the serializer)
            /// </summary>
            public InnerStruct()
            {
            }
            
            /// <summary>
            /// Initializes a new data transfer object from the business object
            /// </summary>
            /// <param name="inner">The business object that should be transferred</param>
            /// <param name="store">A component to handle binary data</param>
            public InnerStruct(BoundingBox inner, Tecan.Sila2.IBinaryStore store)
            {
                Rectangle = new RectangleDto(inner.Rectangle, store);
                Height = new Tecan.Sila2.RealDto(inner.Height, store);
            }
            
            /// <summary>
            /// The ground rectangle
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(1)]
            public RectangleDto Rectangle
            {
                get
                {
                    return _rectangle;
                }
                set
                {
                    _rectangle = value;
                }
            }
            
            /// <summary>
            /// The height of the bounding box
            /// </summary>
            [ProtoBuf.ProtoMemberAttribute(2)]
            public Tecan.Sila2.RealDto Height
            {
                get
                {
                    return _height;
                }
                set
                {
                    _height = value;
                }
            }
        }
    }
}

